• Page:
  • 1

TOPIC: MythTV .27 released need plugin for protocol 77

MythTV .27 released need plugin for protocol 77 7 months 2 days ago #1

  • arreaux
  • arreaux's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
Hello.
MythTV version .27 has been release. It requires a newer protocol, version 77, than the version of the Cmyth MythTV plugin in the current versions on OPENELEC. Is there a timeline for building a version of OPENELEC with a newer version of the Cmyth protocol? Otherwise, anyone who accepts the MythTV .27 upgrade will be dead in the water.
The administrator has disabled public write access.

Re:MythTV .27 released need plugin for protocol 77 7 months 2 days ago #2

  • teeedubb
  • teeedubb's Avatar
  • OFFLINE
  • Expert Boarder
  • Posts: 324
  • Thank you received: 34
  • Karma: 9
0.27 support is in the git version of the add on, you need to manually compile for now.
Last Edit: 7 months 2 days ago by teeedubb.
The administrator has disabled public write access.

Re:Re: Re:MythTV .27 released need plugin for protocol 77 7 months 2 days ago #3

  • teeedubb
  • teeedubb's Avatar
  • OFFLINE
  • Expert Boarder
  • Posts: 324
  • Thank you received: 34
  • Karma: 9
Double post.
Last Edit: 7 months 2 days ago by teeedubb.
The administrator has disabled public write access.

Re:Re: Re:Re: Re:MythTV .27 released need plugin for protocol 77 7 months 2 days ago #4

  • teeedubb
  • teeedubb's Avatar
  • OFFLINE
  • Expert Boarder
  • Posts: 324
  • Thank you received: 34
  • Karma: 9
Double post...
The administrator has disabled public write access.

MythTV .27 released need plugin for protocol 77 7 months 2 days ago #5

  • arreaux
  • arreaux's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
Somehow I knew the first reply would be "compile it yourself." I tried. Unfortunately, when you follow the excellent instruction over at XBMC, you wind up with a plugin for Gotham, not the current version of XBMC Frodo and openelec 3.2. Unfortunately my git skills are not sufficient to figure out how to build anything other than the current Gotham version, which is what following the instructions results in.
The administrator has disabled public write access.

Re:MythTV .27 released need plugin for protocol 77 7 months 2 days ago #6

  • teeedubb
  • teeedubb's Avatar
  • OFFLINE
  • Expert Boarder
  • Posts: 324
  • Thank you received: 34
  • Karma: 9
You need to checkout the frodo version before compiling,which the OE instructions don't cover. What I do is manually download the frodo.zip, update the source .tar file in the sources directory (use the OE compile instructions for clues to where it is located) then run the last line of the OE instructions and then recompile.
Last Edit: 7 months 2 days ago by teeedubb.
The administrator has disabled public write access.

MythTV .27 released need plugin for protocol 77 7 months 2 days ago #7

  • arreaux
  • arreaux's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
Thanks teeedubb.
After learning about "git checkout frodo" I compiled it again.
This time, I rediscovered the mysql dependency. I got my home compiled versiono install, but it reports unmet dependency mysql.
I tried the ./configure --disable-mysql that used to work but then cmyth won't make.

Sigh
Thanks again
Suggestions welcome.
The administrator has disabled public write access.

MythTV .27 released need plugin for protocol 77 7 months 2 days ago #8

  • teeedubb
  • teeedubb's Avatar
  • OFFLINE
  • Expert Boarder
  • Posts: 324
  • Thank you received: 34
  • Karma: 9
For OE you need to use the OE instructions (and compile the whole OE afaik), I never had any success using the standalone compile instructions. What build are you using? I nave a nvidia only generic 3.2-ish x64 build with the latest addon I could upload.
The administrator has disabled public write access.

MythTV .27 released need plugin for protocol 77 6 months 3 weeks ago #9

  • arreaux
  • arreaux's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
Thanks teeedubb, but I'm still stuck
After 1 week of compiling over and over and over reading like 10,000 forum posts at XBMC and OpenELEC, I still can't compile OpenELEC with cmyth plugin 1.6.11.
I always get a mySQL error. There are hints in some post about changes that need to be made to something, but no one spells it out.

To be clear, I am following this...
wiki.openelec.tv/index.php?title=Compile_from_source
Then adding this...
5 Build MythTV git into OpenELEC
wiki.xbmc.org/index.php?title=PVR/Backen...thTV/BuildFromSource

What am I missing, or is there a better way?
Thanks for your reply!
The administrator has disabled public write access.

MythTV .27 released need plugin for protocol 77 6 months 2 weeks ago #10

  • arreaux
  • arreaux's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 6
  • Karma: 0
Fixed it.
The script at the bottom works for me and allows OpenELEC (FRODO ONLY) to compile with the cmyth addon supporting version MythTV version .27

The issue is the the git branch names & package names have changed.

Follow this ...
wiki.openelec.tv/index.php?title=Compile_from_source

But before compiling follow the below.

Adapted from (wiki.xbmc.org/index.php?title=PVR/Backen...thTV/BuildFromSource)

5 Build MythTV git into OpenELEC

Follow normal OpenELEC build instructions (wiki.openelec.tv/index.php?title=Compile_from_source) but adjust the "Start compiling" procedure as below
cd OpenELEC.tv

Run the below script to replace normally included pvr-addons with latest development git version
#!/bin/bash

source ./packages/mediacenter/xbmc-pvr-addons/package.mk

if [ ! -d ./sources/$PKG_NAME/ ]; then
    mkdir -p ./sources/$PKG_NAME/
fi

wget --no-check-certificate https://github.com/fetzerch/xbmc-pvr-addons/archive/frodo.zip

unzip frodo.zip
mv xbmc-pvr-addons-frodo $PKG_NAME-$PKG_VERSION
tar -cJf $PKG_NAME-$PKG_VERSION.tar.xz $PKG_NAME-$PKG_VERSION
rm -r $PKG_NAME-$PKG_VERSION frodo.zip

mv $PKG_NAME-$PKG_VERSION.tar.xz ./sources/$PKG_NAME/
md5sum sources/$PKG_NAME/$PKG_NAME-$PKG_VERSION.tar.xz > sources/$PKG_NAME/$PKG_NAME-$PKG_VERSION.tar.xz.md5
echo "http://sources.openelec.tv/devel/$PKG_NAME-$PKG_VERSION.tar.xz" > ./sources/$PKG_NAME/$PKG_NAME-$PKG_VERSION.tar.xz.url

rm -rf ./build.OpenELEC*/.stamps/xbmc-pvr-addons ./build.OpenELEC*/xbmc-pvr-addons-* ./build.OpenELEC*/image/.stamps/xbmc-pvr-addons

Word of caution - use at your own risk. I am not a BASH god. I just changed a few paths to what they are now from what they were when the script was written. I am not proficent enough in BASH to modify the actual script in anyway, or fix any it did not works.

Hope this helps you too.
The administrator has disabled public write access.

MythTV .27 released need plugin for protocol 77 6 months 1 week ago #11

  • lordsiris
  • lordsiris's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 1
  • Karma: 0
I've found this a little frustrating as well, I tried for a week to get the plugin compiled for 0.27 and got an install a number of times only for it to fail when actually installing it or fail when enabling it. I've given up for now as I would rather watch TV than watch the console compiling repeatedly.

Isn't this just something that could be compiled by the experts and placed in the new unofficial addon repo that has been touted so much?

Thanks
The administrator has disabled public write access.

Re:MythTV .27 released need plugin for protocol 77 3 months 4 weeks ago #12

  • peterpops
  • peterpops's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 1
  • Karma: 0
Does anyone have precompiled cmyth-pvr-addon for openelec 3.2.4 on raspberry pi ?

Im kind a noob in compiling and the xbmc pvr-plugin..

I need support for mythtv 0.27 in frodo 12.2...


Sent from my iPhone using Tapatalk
The administrator has disabled public write access.
  • Page:
  • 1

Our Sponsors & Partners

arctic_logo